function [FileSuffix] = f_filesuffix(FLAG,PARAM)

    FileSuffix='';
    if FLAG.UseSwitchingCosts ==1
        FileSuffix = [FileSuffix,'_SC',int2str(PARAM.SwitchingCosts(1)*100)];
    end;
    if FLAG.AdjustWTPCoeff ==1
        FileSuffix = [FileSuffix,'_WTP',int2str(PARAM.AdjustWTPCoeff*100)];
    end;    
    if FLAG.BC10PercentMargin==1
        FileSuffix = [FileSuffix,'_BC10'];
    end;
    if FLAG.PremSetting_MatchMargins==1
        FileSuffix = [FileSuffix,'_PremMatchMargins'];
    else
        FileSuffix = [FileSuffix,'_NoMargins'];
    end;
    if isfield(FLAG,'AlternatePremiumSettingError')==1
        if FLAG.AlternatePremiumSettingError==1        
            FileSuffix = [FileSuffix,'_AltScale'];
        end;
    end;
    if isfield(PARAM,'Date')
        FileSuffix = [FileSuffix,'_',int2str(PARAM.Date)];
    end;
    FileSuffix = [FileSuffix,'.mat'];