function [profits] = f_insprofits(theta, idxins, PRICESCF, INSDEMANDCF, HOSPDEMANDCF, MC, PARAM)
    profits = 0;
    for idxhsa=1:14
        if idxins~=3 || (idxins==3 && PARAM.isKaiserAvail(idxhsa)==1)
            profits = profits + theta * ([1 2 2.6] * INSDEMANDCF{idxhsa}.fam(idxins,:,1)');     %premium revenue
            profits = profits - INSDEMANDCF{idxhsa}.ind(idxins) * MC.ind(idxins);         %marginal cost
            if idxins~=3
                profits = profits - HOSPDEMANDCF{idxhsa}.indXdrg(:,idxins)' * PRICESCF{idxhsa}.avgamtdrg(:,idxins);
            end;
        end;
    end;
    profits = -profits;
end